httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Graham Leggett <minf...@sharp.fm>
Subject Re: [PATCH] fix util_ldap with older OpenLDAPs
Date Wed, 27 Jul 2005 22:57:31 GMT
Jess Holle wrote:

> Agreed, but some of us need an /officially /stable Apache with good LDAP 
> authentication support.

The problem is that the v2.0.x code was not very defensive, which means 
a simple failure up front causes an obscure and random crash somewhere 
further down in the code. The fixes as a result were relatively large 
and difficult to review for v2.0.x. Some of the fixes involved new and 
changed interfaces to apr-util which were difficult to backport.

As a result the v2.0.x code lags far behind v2.2, and backporting fixes 
is a not trivial task. I think the effort is better spent getting v2.2 
out the door.

> Apache 2.0.54 is the best thing out there in this regard, but as you 
> note it leaves a lot to be desired.  Apache 2.2 seems infinitely far away...

v2.2 has been branched, not sure when the first actual release on this 
branch will be?

Regards,
Graham
--

Mime
View raw message